Subject: Re: [PATCH 16/17] d80211: fix monitor interfaces

From: Johannes Berg <[email-masked]>
Date: Fri, 21 Apr 2006 23:01:28 +0200

On Fri, 2006-04-21 at 22:57 +0200, Jiri Benc wrote:
> On Fri, 21 Apr 2006 22:52:58 +0200, Johannes Berg wrote:
> > > and this will work - independently of the value of monitor_during_oper.
> > > The difference is that in case of monitor_during_oper == 0, you won't
> > > probably receive much more frames from mon0 than from sta0. But - you
> > > will most likely receive beacons on mon0 and also monitoring headers
> > > (prism2 headers presently).
> > 
> > This I don't understand, doesn't the UI kind of suck as opposed to just
> > putting the sta0 device into promisc mode?
> 
> In promisc mode, you receive only packets destined to your BSS,
> regardless of their source or destination address (so it's similar to
> the way promisc works with Ethernet). On monitor interface, you receive
> all packets regardless of BSSID.

Yes, but didn't you just say that when monitor_during_oper == 0 then
it's equivalent to promisc mode?

johannes